package de.hft.stuttgart.citydoctor2.webservice.database;

import javax.persistence.EntityManager;

import de.hft.stuttgart.citydoctor2.webservice.model.entities.WebBuilding;
import de.hft.stuttgart.citydoctor2.webservice.model.entities.WebGeometry;

public class GeometryQueries {
	
	private GeometryQueries() {
		// only static use
	}
	
	public static void persistGeometryAndApplyToBuilding(WebGeometry geom, WebBuilding ref, EntityManager manager) {
		manager.getTransaction().begin();
		try {
			manager.persist(geom);
		} finally {
			manager.getTransaction().commit();
		}
	}

}
